package my.customlibrary.dynamic;

import org.eclipse.jdt.annotation.Nullable;
import org.eclipse.ocl.pivot.library.AbstractSimpleUnaryOperation;
import org.eclipse.ocl.pivot.utilities.ValueUtil;
import org.eclipse.ocl.pivot.values.Value;

public class SpacedOut extends AbstractSimpleUnaryOperation {

    public static final SpacedOut INSTANCE = new SpacedOut();

    @Override
    public Object evaluate(@Nullable final Object sourceValue) {
        final String string = sourceValue == null ? Value.INVALID_NAME : ValueUtil.oclToString(sourceValue);
        return string;
    }
}
